    import {Locale} from 'luxon/src/impl/locale.js'

public class | source

# Locale

## Static Method Summary

Static Public Methods
public static | create(locale: *, numberingSystem: *, outputCalendar: *): * |
public static | fromObject(objectPattern: {"locale": *, "numberingSystem": *, "outputCalendar": *}): * |
public static | fromOpts(opts: *): * |

## Constructor Summary

Public Constructor
public | constructor(locale: *, numbering: *, outputCalendar: *) |

## Member Summary

Public Members
public | meridiemCache: * |

## Method Summary

Public Methods
public | clone(alts: *): * |
public | dtFormatter(dt: *, intlOpts: {}): undefined[] |
public | equals(other: *): * |
public | eras(length: *): * |
public | extract(dt: *, intlOpts: *, field: *): * |
public | knownEnglish(): * |
public | meridiems(): * |
public | months(length: *, format: boolean): * |
public | numberFormatter(opts: {}, intlOpts: {}): * |
public | weekdays(length: *, format: boolean): * |

## Static Public Methods

### public static create(locale: *, numberingSystem: *, outputCalendar: *): * source

#### Params:

Name | Type | Attribute | Description
locale | * |  |
numberingSystem | * |  |
outputCalendar | * |  |

#### Return:

*

### public static fromObject(objectPattern: {"locale": *, "numberingSystem": *, "outputCalendar": *}): * source

#### Params:

Name | Type | Attribute | Description
objectPattern | {"locale": *, "numberingSystem": *, "outputCalendar": *} | optional default: {} |

#### Return:

*

### public static fromOpts(opts: *): * source

#### Params:

Name | Type | Attribute | Description
opts | * |  |

#### Return:

*

## Public Constructors

### public constructor(locale: *, numbering: *, outputCalendar: *) source

#### Params:

Name | Type | Attribute | Description
locale | * |  |
numbering | * |  |
outputCalendar | * |  |

## Public Members

### public meridiemCache: * source

## Public Methods

### public clone(alts: *): * source

#### Params:

Name | Type | Attribute | Description
alts | * |  |

#### Return:

*

### public dtFormatter(dt: *, intlOpts: {}): undefined[] source

#### Params:

Name | Type | Attribute | Description
dt | * |  |
intlOpts | {} | optional default: {} |

#### Return:

undefined[]

### public equals(other: *): * source

#### Params:

Name | Type | Attribute | Description
other | * |  |

#### Return:

*

### public eras(length: *): * source

#### Params:

Name | Type | Attribute | Description
length | * |  |

#### Return:

*

### public extract(dt: *, intlOpts: *, field: *): * source

#### Params:

Name | Type | Attribute | Description
dt | * |  |
intlOpts | * |  |
field | * |  |

#### Return:

*

### public knownEnglish(): * source

#### Return:

*

### public meridiems(): * source

#### Return:

*

### public months(length: *, format: boolean): * source

#### Params:

Name | Type | Attribute | Description
length | * |  |
format | boolean | optional default: false |

#### Return:

*

### public numberFormatter(opts: {}, intlOpts: {}): * source

#### Params:

Name | Type | Attribute | Description
opts | {} | optional default: {} |
intlOpts | {} | optional default: {} |

#### Return:

*

### public weekdays(length: *, format: boolean): * source

#### Params:

Name | Type | Attribute | Description
length | * |  |
format | boolean | optional default: false |

#### Return:

*